- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- AnnotateImage
- GetFontMetrics

# NAME

annotate - Methods to Annotate an Image

# SYNOPSIS

unsigned int AnnotateImage( Image *image, DrawInfo *draw_info );

unsigned int GetFontMetrics( Image *image, const DrawInfo *draw_info, FontMetric metrics );

# FUNCTION DESCRIPTIONS

## AnnotateImage

Method AnnotateImage annotates an image with text. Optionally the annotation can include the image filename, type, width, height, or scene

The format of the AnnotateImage method is:

> unsigned int AnnotateImage ( Image *image, DrawInfo *draw_info );

A description of each parameter follows:

status:
  Method AnnotateImage returns True if the image is annotated otherwise False.

image:
  The address of a structure of type Image.

draw_info:
  The address of a DrawInfo structure.

## GetFontMetrics

Method GetFontMetrics returns the following information for the specified font and text:

o
  character width, expressed in integer pixels o character height, expressed in integer pixels o ascent, expressed in 26.6 fixed point pixels o descent, expressed in 26.6 fixed point pixels o text width, expressed in 26.6 fixed point pixels o text height, expressed in 26.6 fixed point pixels o maximum horizontal advance, expressed in 26.6 fixed point pixels

The format of the GetFontMetrics method is:

> unsigned int GetFontMetrics ( Image *image, const DrawInfo *draw_info, FontMetric metrics );

A description of each parameter follows:

status:
  Method GetFontMetrics returns True if the metrics are available otherwise False.

image:
  The address of a structure of type Image.

draw_info:
  Specifies a pointer to a DrawInfo structure.

metrics:
  Method GetFontMetrics returns the font metrics.